Bug 825235 - Preupgrade to Fedora 17 issues
Preupgrade to Fedora 17 issues
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
17
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 08:18 EDT by Panos Kavalagios
Modified: 2013-07-31 20:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:40:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Panos Kavalagios 2012-05-25 08:18:14 EDT
Description of problem: Multiple problems have been identiefied in a preupgrade procedure of Fedora 16 to Fedora 17.


Version-Release number of selected component (if applicable): preupgrade-1.1.10-2.fc17


How reproducible: Upgrade a Fedora 16 system to Fedora 17 using preupgrade procedure.


Steps to Reproduce:
1. Install and run preupgrade on your Fedora 16 system
2. Boot the upgrade procedure after finished.
3.
  
Actual results: The new system boots the old kernel and after completing the boot process is unusable. There is no way to log in. Pressing alt-F2 switches to a blank VT screen with no login prompt though.


Expected results: The upgraded system should have succeeded in logging in the user at least in text mode.


Additional info: The kernel is not updated and there is no kernel-PAE version available in the repositories. Grub is not updated either. The previous grub 1.99 screen was displayed and not the new 2.0 screen. The system can only be accessed by booting in single user mode. A kernel panic when rebooting/shutting down the system is also produced like the one described in Bug 825092.
Comment 1 Panos Kavalagios 2013-01-22 04:28:45 EST
I think this is duplicate of Bug 820351 as well.
Comment 2 Fedora End Of Life 2013-07-03 18:39:33 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 20:40:58 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.